# Generate settings URL

```
POST 
/settings/url
```

Generate a URL to access the Nabla settings screen for a provider, with no encounter involved. Navigating to this url will log in the provider into Nabla automatically, and open the settings screen.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The settings URL.

## Operation spec

```json
{
  "method": "post",
  "path": "/settings/url",
  "operationId": "generate-settings-url",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "description": "Input data required to generate a settings URL. The ID should be the one from your EHR system.",
          "properties": {
            "external_provider_id": {
              "type": "string"
            }
          },
          "required": [
            "external_provider_id"
          ],
          "title": "generate_settings_url_request"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The settings URL.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "The settings URL response.",
            "properties": {
              "settings_url": {
                "type": "string",
                "description": "URL to open the settings screen."
              }
            },
            "title": "settings_url_response"
          }
        }
      }
    }
  }
}
```
